Create a fact-find section Run in API Explorer
Ask AI
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/sections
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sections' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1
}
Response examples (201)
{
"uuid": "aa45f207-b6f4-415e-bfbe-51bc1ab96922",
"created_at": "2026-10-08T16:24:05+01:00",
"updated_at": "2026-10-08T16:24:05+01:00",
"fact_find_template": {
"uuid": "d08817ba-b809-4de3-86c1-7d413980e712",
"created_at": "2026-10-08T16:24:05+01:00",
"updated_at": "2026-10-08T16:24:05+01:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-10-07T16:24:05+01:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "8ef44925-33b5-44cb-997d-3a63edf77b9b",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "22209c79-2a8b-4dae-a318-bf909217b8bb",
"created_at": "2026-10-08T16:24:05+01:00",
"updated_at": "2026-10-08T16:24:05+01:00",
"fact_find_section": {
"uuid": "8ef44925-33b5-44cb-997d-3a63edf77b9b",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}